function [ U, Uy, Uyy ] = baseFlow_PPF( y )
%
% baseFlow_PPF: Define the parabolic velocity profile and its derivatives 
%               
% INPUTS
% y:            Chebyshev Gauss-Lobatto points

% OUTPUTS
% U, Uy, Uyy:   Streamwise velocity, first and second derivatives
%
% (c) 2014 vt_productions

U=1-y.^2;
Uy=-2*y;
Uyy=-2.;

end