function [ U, Uy, Uyy ] = baseFlow_SL( y )
%
% baseFlow_SL:  Define the hyperbolic tangent velocity profile and its derivatives 
%               
% INPUTS
% y:            Chebyshev Gauss-Lobatto points

% OUTPUTS
% U, Uy, Uyy:   Streamwise velocity, first and second derivatives
%
% (c) 2014 vt_productions

U=tanh(y);
for i=1:length(y)
    Uy(i)=1.-tanh(y(i))^2;
    Uyy(i)=-2.*tanh(y(i))*(1.-tanh(y(i))^2);
end

end