function [ A, B ] = impose_BCs_LNSE1d( Ny, A, B )

% IMPOSE_BCS  Impose Boundary Conditions on the discretized LNSE operator.
% Impose BCs on perturbation velocity components only, none on pressure   

% INPUTS/OUTPUTS
% A:          LHS of the discretized LNSE operator in 1D
% B:          RHS of the discretized LNSE operator in 1D
%
% (c) 2014 vt_productions

OffSet = Ny+1;

% .. u=0 at y = +1..
A(Ny+1,:)=0;
B(Ny+1,:)=0;
A(Ny+1,Ny+1)=1.;

% .. u=0 at y = -1..
A(1,:)=0;
B(1,:)=0;
A(1,1)=1.;

% .. v=0 at y = +1..
A(Ny+1+1*OffSet,:)=0;
B(Ny+1+1*OffSet,:)=0;
A(Ny+1+1*OffSet,Ny+1+1*OffSet)=1.;

% .. v=0 at y = -1..
A(1+1*OffSet,:)=0;
B(1+1*OffSet,:)=0;
A(1+1*OffSet,1+1*OffSet)=1.;

return