function [ ygrid, d1y, d2y ] = map_y( yin, yout, ygrid, d1y, d2y )
%
% MAP_Y:           Linearly map a non-periodic domain 
%
% INPUTS
% yin:             start of mapped domain
% yout:            end of mapped domain
%
% INPUTS/OUTPUTS
% ygrid, d1y, d2y: mapped domain (output)
%
% (c) 2014 vt_productions

a		= (yout - yin )/2.;
b		= (yin + yout )/2.;

ygrid   =  a * ygrid + b;

d1y     = 1./a * d1y;
d2y     = d1y * d1y;

return