function []=plot_LNSE1d(flow,eigval,eigvec,y,Re,alpha,beta)

%eglist=find(abs(eigval)<10)
%eigval=eigval(eglist);pause
%eigvec=eigvec(:,eglist)

N=length(y);


% Choose eigenvalue to plot

disp('Right click to pick the mode. Left click to stop');
button=1;
while button==1
    
    figure(1)
    plot(real(eigval),imag(eigval),'bo',[0 0.5],[0 0],'r-');
    axis('square');
    switch flow
        case 'PPF'
            ylim([-1,0.1]);
        case 'SL'
            ylim([-1,1]);
    end
    title(strcat({'Re= '},{num2str(Re)},{' , alpha= '},{num2str(alpha)},...
        {' , beta= '},{num2str(beta)}));
    ylabel('imag(\omega)')
    xlabel('real(\omega)')
    %ylim([-1,0.1]);
   
    % pick the eigenfunction    
    [xp,yp,button] = ginput(1);
    a=xp+sqrt(-1)*yp;
    [c,locate]=min(abs(eigval-a));

    % extract different components of eigenfunction
    u=eigvec(1:N,locate);
    v=eigvec(N+1:2*N,locate);
    p=eigvec(2*N+1:3*N,locate);
    
    u=u/max(max(abs(u)));
    v=v/max(max(abs(u)));
    p=p/max(max(abs(p)));
    
    figure(2)
    plot(abs(u),y,abs(v),y,abs(p),y);
    axis('square');
    legend('abs(u)','abs(v)','abs(p)')
    title(strcat({'Re= '},{num2str(Re)},{' , alpha= '},{num2str(alpha)},...
                 {', omega= '},{num2str(eigval(locate))}));
    ylabel('y')

end
dd=[y abs(u) abs(v) abs(p)];
save eigfunc dd -ascii -double
end



