function [ ygrid ] = set_y_grid( Ny );
%
% SET_Y_GRID:   Define the standard Chebyshev Gauss-Lobatto (CGL) 
%               spectral collocation points
% INPUTS
% Ny:           number of CGL collocation nodes
%
% OUTPUTS
% ygrid:        CGL domain

% (c) 2014 vt_productions

for jj=1:Ny+1
    j=jj-1;
    ygrid(jj)=cos(j*pi/Ny);
end
return